;*************************************************************************
;** ViNCEd localisation source code      1990-1997 THOR                **
;**     Version 40.50                                                   **
;**                                                                     **
;**     system, part one: The menu                                      **
;**                                                                     **
;*************************************************************************

;This file gets assembled by PhxAss and defines the menu layout used by
;ViNCEd.
;Don't panic if you don't understand assembler! It is not necessary to
;read and modify this file.
;You only have to change all strings in double quotes "..." like this
;Leave everything outside alone.
;
;Like in the locale constructor, all texts typed beyond semicolons
;are comments, like this one, and they are ignored.
;
;
;I put the english versions of the menuitems beyond the actual instructions,
;since the origin of this file is the german localization.
;
;*************************************************************************
;** Start of the assembler part                                         **
;*************************************************************************
;
; Some defines for the menu items. Please leave them alone, they are 
; interpreted by the ViNCEd internal menu creator and indicate the
; type of the item they construct.
;
mc_Menu         =       1               ;a menu point
mc_MenuItem     =       2               ;an item of a menu      
mc_SubItem      =       3               ;a subitem of an item
mc_LastMenu     =       $81             ;the last menu at all
mc_LastItem     =       $82             ;the last item of a menu
mc_LastSubItem  =       $83             ;the last subitem of subitems to an item
;
;
; The next instruction tells PhxAss to put the binary in a data hunk.
; This is needed for the "|" command of CreateCatalog.
; Please do not change it
;
        section data,data
;
; Calculate the length of the total structure... read by ViNCEd
; Please do not change       
        dc.l End-MenuCommands
;
;
;**************** PLEASE EDIT THE LINES BELOW *****************************
MenuCommands:
;Start of the "MenuCommands". Please edit only strings in double quotes ".."
;They describe the complete menu layout menu by menu and item by item.
;
;The english version is beyond the text:
;Changes are marked with (*)
;
        dc.b mc_Menu,1,0,"Projekt",0                                    ;Project                This is the title of the project menu
                dc.b mc_MenuItem,$50,'N',"Neues Fenster",0              ;New Window             This calls the macro to open a new ViNCEd Window (a system macro)
                dc.b mc_MenuItem,$50,'O',"ffnen...",0                  ;Open...(*)             Load the window contents from ASCII file
                dc.b mc_MenuItem,$50,0,"History ffnen...",0            ;Open History...(*)     Load the history from an ASCII file
                dc.b mc_MenuItem,0,0,0                                  ;------------(*)        The empty string creates a separator bar
                dc.b mc_MenuItem,$50,'S',"Speichern unter...",0         ;Save As...(*)          Save the window contents
                dc.b mc_MenuItem,$50,0,"History speichern...",0         ;Save History...(*)     Save the history
                dc.b mc_MenuItem,0,0,0                                  ;------------           The empty string creates a separator bar
                dc.b mc_MenuItem,$50,'+',"Maximale Gre",0             ;Expand window          Resize ViNCEd to maximum
                dc.b mc_MenuItem,$50,'-',"Minimale Gre",0             ;Shrink window          Resize ViNCEd to minimum
                dc.b mc_MenuItem,$50,'.',"Nchsten Schirm nach vorne",0 ;Next Screen to front   Toggle thru the list of open screens
                dc.b mc_MenuItem,$50,'I',"Iconifizieren",0              ;Iconify                Iconify the window
                dc.b mc_MenuItem,$50,'J',"Auf den nchsten Schirm",0    ;Jump to Next Screen    Open window on next pub screen
                dc.b mc_MenuItem,0,0,0                                  ;-------------          Again a separator bar   
                dc.b mc_MenuItem,$50,0,"Hilfe...",0                     ;Help...                Call a system macro to show the guide
                dc.b mc_MenuItem,$50,0,"Einstellungen...",0             ;Settings...            Call a system macro for the settings, usually SetVNC
                dc.b mc_MenuItem,$10,0,"ber ViNCEd",0                  ;About...               This submenu contains the copyright information
                        dc.b mc_SubItem!$40!(10<<2),$d0,0,0             ;First line of the copyright text. It is hard-coded, so no changes are possible here. Don't edit
                        dc.b mc_SubItem,$c0,0,0                         ;-------------          Separator bar
                        dc.b mc_SubItem!$40!(11<<2),$d0,0,0             ;Second line of the copyright...
                        dc.b mc_SubItem!$40!(12<<2),$d0,0,0             ;Third line, copyright
                        dc.b mc_SubItem,$c0,0,0                         ;-------------          A separator
                        dc.b mc_SubItem,$d0,0,"   Deutsche bersetzung:",0 ;German Translation  This line and the next one are used to display the author of the translation
                        dc.b mc_SubItem,$d0,0,"      Thomas Richter",0  ;my name. Put your's here to let people know who did the job!
                        dc.b mc_LastSubItem,0,0                         ;Dummy entry needed by the menu builder: Last sub item. Do not change
                dc.b mc_MenuItem,0,0,0                                  ;-------------
                dc.b mc_MenuItem,$50,'Q',"Fenster schlieen",0          ;Close Window           Call the close macro to shut down
                dc.b mc_LastItem,0,0                                    ;Dummy entry needed by the builder: Last item of the project menu
        dc.b mc_Menu,1,0,"Edieren",0                                    ;Edit                   The headline of the edit menu: Block operations and other stuff
                dc.b mc_MenuItem,$50,'X',"Ausschneiden",0               ;Cut                    Cut the marked area, put it to the clipboard
                dc.b mc_MenuItem,$50,'C',"Kopieren",0                   ;Copy                   Copy the marked area    
                dc.b mc_MenuItem,$50,'H',"Demarkieren",0                ;Hide                   Unmark everything in the block
                dc.b mc_MenuItem,$50,'V',"Einfgen",0                   ;Paste                  Paste the clipboard contents to the window
                dc.b mc_MenuItem,$50,'A',"Alles auswhlen",0            ;Select All             Mark everything in the ViNCEd buffer.   
                dc.b mc_MenuItem,0,0,0                                  ;------------
                dc.b mc_MenuItem,$50,'L',"Fenster lschen",0            ;Clear Window(*)           Clear the contents of the window (only the lower buffer) (Shortcut removed)
                dc.b mc_MenuItem,$50,'E',"Bis Fensterende lschen",0    ;Erase to End Of Window Clear the area behind the cursor
                dc.b mc_MenuItem,$50,'R',"Terminal zurcksetzen",0      ;Reset Terminal         Clear the buffer and reset the terminal: Text color, cursor mode, etc...
                dc.b mc_MenuItem,0,0,0                                  ;------------
                dc.b mc_MenuItem,$50,'F',"Suche vorwrts",0             ;Search Forward         Seek in the history: Forwards   
                dc.b mc_MenuItem,$50,'B',"Suche rckwrts",0            ;Search Backwards       Seek in the history: Backwars
                dc.b mc_LastItem,0,0                                    ;dummy entry: The last item
        dc.b mc_Menu,1,0,"Makros",0                                     ;Macros                 This is the start of the macro menu.
                dc.b mc_MenuItem,$50,0,"Makro ausschneiden",0           ;Cut Macro              Cut the marked area and put it in one macro
                        dc.b mc_SubItem!$40!(0<<2),$50,0,0              ;These lines are just dummies. They are replaced
                        dc.b mc_SubItem!$40!(1<<2),$50,0,0              ;by the macro contents, so you don't need to edit them
                        dc.b mc_SubItem!$40!(2<<2),$50,0,0              ;ditto
                        dc.b mc_SubItem!$40!(3<<2),$50,0,0              ;
                        dc.b mc_SubItem!$40!(4<<2),$50,0,0
                        dc.b mc_SubItem!$40!(5<<2),$50,0,0
                        dc.b mc_SubItem!$40!(6<<2),$50,0,0
                        dc.b mc_SubItem!$40!(7<<2),$50,0,0
                        dc.b mc_SubItem!$40!(8<<2),$50,0,0
                        dc.b mc_SubItem!$40!(9<<2),$50,0,0              ;'til here.
                        dc.b mc_LastSubItem,0,0                         ;last dummy item
                dc.b mc_MenuItem,0,0,0                                  ;------------------
                dc.b mc_MenuItem!$40!(0<<2),$50,'0',0                   ;again the macro list. Again no need for editings...
                dc.b mc_MenuItem!$40!(1<<2),$50,'1',0                   ;second macro
                dc.b mc_MenuItem!$40!(2<<2),$50,'2',0                   ;third
                dc.b mc_MenuItem!$40!(3<<2),$50,'3',0                   ;etc...
                dc.b mc_MenuItem!$40!(4<<2),$50,'4',0
                dc.b mc_MenuItem!$40!(5<<2),$50,'5',0
                dc.b mc_MenuItem!$40!(6<<2),$50,'6',0
                dc.b mc_MenuItem!$40!(7<<2),$50,'7',0
                dc.b mc_MenuItem!$40!(8<<2),$50,'8',0
                dc.b mc_MenuItem!$40!(9<<2),$50,'9',0                   ;last macro
                dc.b mc_LastItem,0,0                                    ;last item, dummy entry
        dc.b mc_Menu,1,0,"Einstellungen",0                              ;Settings               This is the headline of the settings menu
                                                                                ;The next lines describe/change the size of certain buffers.
                                                                                ;the mysterious "%d" gets replaced by the actual number=size of the buffer
                dc.b mc_MenuItem!$40!(13<<2),$50,0,"Buffergre  : %d",0        ;Cut History Size       This one cuts the size of the history buffer from the input
                dc.b mc_MenuItem!$40!(14<<2),$50,0,"Untere Zeilen: %d",0        ;Cut Display Size       Cut the size of the lower (visible) buffer
                dc.b mc_MenuItem!$40!(15<<2),$50,0,"Obere Zeilen : %d",0        ;Cut Upper Size         Cut the size of the upper buffer area
                dc.b mc_MenuItem,0,0,0                                  ;------------------------
                dc.b mc_MenuItem,$5d,'D',"Dos Cursor Modus?",0          ;Dos Cursor Mode?       Change to primitive (DOS like) cursor movement.
                dc.b mc_MenuItem,$59,0,"berschreiben?",0               ;Overwrite Mode?        Instead of insertion    
                dc.b mc_MenuItem,$5d,'W',"Ringbuffer?",0                ;Warp around Buffer?    The buffer & tab expansion warp around at each end, i.e. continue at the other end
                dc.b mc_MenuItem,$59,0,"Mit Makro schlieen?",0         ;Smart Close(*)         Invoke a macro to close the window (Shortcut removed)
                dc.b mc_MenuItem,$59,0,"Vorsichtig schlieen?",0        ;Safer Close            Inhibit closes by the gadget if more than one process is in the window
                dc.b mc_MenuItem,$59,0,"Nur Eingaben ausschneiden?",0   ;Cut Inputs Only        Ignore DOS output in the block operations. It gets cut, but is never put to the clipboard
                dc.b mc_MenuItem,$5d,'P',"Aufbauverzgerung?",0         ;Rebuild Delay          Allow ViNCEd to do the window refresh later to speed up output ?
                dc.b mc_MenuItem,$59,0,"Automatisch kopieren?",0        ;Auto Copy              Copy the block automatically if it got marked, like under unix.
                dc.b mc_MenuItem,$59,0,"Cursorsteuerung mit ALT?",0     ;Alternate Movement     Use ALT+Up/Down to move the cursor, UP/Down for the history
                dc.b mc_MenuItem,$59,0,"Mit TAB expandieren?",0         ;Expand with TAB        Instead of Ctrl+TAB (in shell mode)
                dc.b mc_MenuItem,$59,0,"Doppel-TAB Requester?",0        ;Double TAB requester   Display a requester on double tab to select the file by hand    
                dc.b mc_MenuItem,$59,0,"Requester falls mehrdeutig?",0  ;Request if not unique  Show a requester if more than one expansion is possible
                dc.b mc_MenuItem,$59,0,"Vollstndig expandieren?",0     ;Expand Fully           Do not display a partial expansion, show instead the full one/or the requester
                dc.b mc_MenuItem,$59,'T',"Teilpfad durchsuchen?",0      ;Partial Path           Expand commands not using the full path, search in the current directory and C: only
                dc.b mc_LastItem,0,0                                    ;Dummy entry
        dc.b mc_LastMenu,0,0                                            ;another dummy: End of Menu (EOM:-)
End:    dc.b 0                                                          ;That's it.
;
; When you arrived here, you're done with the menu. Congratulations...
;
        end
;Tell the assembler to shut up.
